View Issue Details

IDProjectCategoryView StatusLast Update
0015483ScribusScripterpublic2019-06-04 20:56
Reporterdockattt Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015483: add setJSActionScript and getJSActionScript python functions
DescriptionIn using Scribus I've had several occasions where I had to make multiple pdf buttons(perhaps up to 20) in a document. These needed JavaScript actions added to them. All of them used the same javascript function calls. The difference being that they passed different parameters into the functions. If I could have automated the populating of their javascript actions this would have saved me time.

The attached patch adds 2 python functions that would allowed me to do this: setJSActionScript and getJSActionScript.
I used JS as an abbreviation for JavaScript. The setJSActionScript allows the user to set the JavaScript on a particular pdf widget with 2 parameters. The type(0-9) and the script that will be associated with that type. The getJSActionScript returns the JavaScript for an action on a annotation.
Steps To Reproduceuse this python:

setJSActionScript(0, "print 'test'");
#this populates the annotation's action with the script
getJSActionScript(0)
#this returns the script that was just populated.
TagsNo tags attached.
PatchYes

Activities

dockattt

2018-11-13 20:30

reporter   ~0045615

forgot to add a null pointer check in the code. Added that in, so that's why its the V2 of the patch.

getsetJSActionScript.patch_v2 (7,814 bytes)

jghali

2018-11-18 14:58

administrator   ~0045636

Applied, thanks!

Issue History

Date Modified Username Field Change
2018-11-13 20:18 dockattt New Issue
2018-11-13 20:18 dockattt File Added: getsetJSActionScript.patch
2018-11-13 20:29 dockattt File Deleted: getsetJSActionScript.patch
2018-11-13 20:30 dockattt File Added: getsetJSActionScript.patch_v2
2018-11-13 20:30 dockattt Note Added: 0045615
2018-11-18 14:58 jghali Assigned To => jghali
2018-11-18 14:58 jghali Status new => resolved
2018-11-18 14:58 jghali Resolution open => fixed
2018-11-18 14:58 jghali Fixed in Version => 1.5.5.svn
2018-11-18 14:58 jghali Note Added: 0045636
2019-06-04 20:56 cbradney Status resolved => closed